Summary:	KDE property editing framework with editor widget
Name:		kproperty
Version:	3.0.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/kproperty/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KProperty is a property editing framework with editor widget similar to what
is known from Qt Designer.

%files
%{_kde5_datadir}/kpropertywidgets3/icons/kproperty_breeze.rcc

#----------------------------------------------------------------------------

%package i18n
Summary:	KProperty translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KProperty translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kpropertycore3_major 3
%define libkpropertycore3 %mklibname kpropertycore3_ %{kpropertycore3_major}

%package -n %{libkpropertycore3}
Summary:	KDE property editing framework shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkpropertycore3}
KDE property editing framework shared library.

%files -n %{libkpropertycore3}
%{_kde5_libdir}/libKPropertyCore3.so.%{kpropertycore3_major}*

#----------------------------------------------------------------------------

%define kpropertywidgets3_major 3
%define libkpropertywidgets3 %mklibname kpropertywidgets3_ %{kpropertywidgets3_major}

%package -n %{libkpropertywidgets3}
Summary:	KDE property editing framework shared library
Group:		System/Libraries

%description -n %{libkpropertywidgets3}
KDE property editing framework shared library.

%files -n %{libkpropertywidgets3}
%{_kde5_libdir}/libKPropertyWidgets3.so.%{kpropertywidgets3_major}*

#----------------------------------------------------------------------------

%define devkproperty %mklibname kproperty -d

%package -n %{devkproperty}
Summary:	Development files for KDE property editing framework
Group:		Development/KDE and Qt
Requires:	%{libkpropertycore3} = %{EVRD}
Requires:	%{libkpropertywidgets3} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devkproperty}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkproperty}
%{_kde5_includedir}/KPropertyCore3/
%{_kde5_includedir}/KPropertyWidgets3/
%{_kde5_libdir}/cmake/KPropertyCore3/
%{_kde5_libdir}/cmake/KPropertyWidgets3/
%{_kde5_libdir}/pkgconfig/KPropertyCore3.pc
%{_kde5_libdir}/pkgconfig/KPropertyWidgets3.pc
%{_kde5_libdir}/libKPropertyCore3.so
%{_kde5_libdir}/libKPropertyWidgets3.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt


%changelog

* Fri Jan 13 2017 Rosa <rosa@abf.rosalinux.ru> 3.0.0-1
- (a542886) Automatic import for version 3.0.0-1


